OSTREE LS(1)

NAME
ostree-ls - List file paths

SYNOPSIS

ostree ls [OPTIONS...] {COMMIT} [PATHS...]

DESCRIPTION

Prints a list of file paths within the given commit, and within the given path(s) if specified. The first letter of the file line output specifies the type: "-" for regular file, "d" for directory, "l" for symbolic link. See EXAMPLE section for more detail on the specific output.

OPTIONS

--dironly,-d
    Do not recurse into directory arguments.

--recursive,-R
    Print directories recursively.

--checksum,-C
    Print checksum.

--xattrs,-X
    Print extended attributes.

--nul-filenames-only
    Print only filenames, NUL separated.

EXAMPLE

$ ostree ls my-branch

            d00644 0 0    0 /
            -00644 0 0    2 /helloworld.txt
            d00755 0 0    0 /testdirectory

Here, the first column is the file-type symbol (as explained in the DESCRIPTION section) followed by the S_IFMT file type. The next two columns (here: 0 0) are respectively the user ID and group ID for the file. After the break, the next number represents that file's standard size. The final column is the file path.